Skip to main content
DELETE
Delete custom metrics data points

Authorizations

Authorization
string
header
required

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Path Parameters

customMetricKey
string
required

Key for the custom metric filter

tagOrId
string
required

The tag (x-cortex-tag) or unique, auto-generated identifier (CID) for the entity. If the tag contains forward slashes, URL-encode each / as %2F. The tag is matched exactly as encoded, including leading, trailing, and consecutive slashes, which are preserved and not collapsed (for example, the tag /services/payments-api is referenced as %2Fservices%2Fpayments-api). Tags containing slashes are supported via the API but not in the Cortex UI; this difference is expected. Entity identifier - can be a tag or CID

Query Parameters

startDate
string<date-time>
required

Start date for the deletion (inclusive)

endDate
string<date-time>
required

End date for the deletion (inclusive)

Response

Successfully deleted data points

Last modified on September 29, 2026